#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 LightSteelBlue
#property indicator_color2 LightSteelBlue

extern int period = 80;
extern int numDeviations = 2;
extern int bandsShift = 0;
extern int appliedPrice = 0;
extern int TimeFrame = 15;
double g_ibuf_92[];
double g_ibuf_96[];

int init() {
   SetIndexShift(0, appliedPrice);
   SetIndexShift(1, appliedPrice);
   SetIndexBuffer(0, g_ibuf_92);
   SetIndexBuffer(1, g_ibuf_96);
   SetIndexStyle(0, DRAW_LINE,STYLE_DASHDOTDOT);
   SetIndexStyle(1, DRAW_LINE,STYLE_DASHDOTDOT);
   SetIndexLabel(0, "Upper Band");
   SetIndexLabel(1, "Lower Band");
   return (0);
}

int start() {
   int li_0 = IndicatorCounted();
   if (li_0 < 0) return (-1);
   if (li_0 > 0) li_0--;
   int li_4 = Bars - li_0;
   for (int i = 0; i < li_4; i++) {
      datetime tofnow = Time[i]; 
      int ibar_on_tf = iBarShift(Symbol(),TimeFrame,tofnow,false);
      g_ibuf_92[i] = iBands(NULL, TimeFrame, period, numDeviations, 0, appliedPrice, MODE_UPPER, ibar_on_tf);
      g_ibuf_96[i] = iBands(NULL, TimeFrame, period, numDeviations, 0, appliedPrice, MODE_LOWER, ibar_on_tf);
   }
   return (0);
}